using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Media;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using WCS.Model.ApiModel.OutStore;
using static System.Net.Mime.MediaTypeNames;


namespace 智慧物流软件系统
{
    public partial class OutInventoryDocumentDetailView : HandyControl.Controls.Window
    {
        public OutInventoryDocumentDetailView(List<OutOrderDetailModel> _matBaseInfo = null)
        {
            InitializeComponent();
            if (_matBaseInfo != null)
            {
                dg1.ItemsSource = _matBaseInfo;
            }
        }

        private void closeClick(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
            this.Close();
        }

        private void DataGrid_SelectedCellsChanged(object sender, SelectedCellsChangedEventArgs e)
        {
            DataGrid datagrid = sender as DataGrid;
            datagrid.UnselectAllCells();
        }
    }
}
